Subject: Re: regression: request-pull with signed tag lacks tags/ in master

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 May 2014 15:13:57 -0700

"Michael S. Tsirkin" <[email-masked]> writes:

>> My reading of the earlier parts of the series is that Linus wanted
>> us never dwim "for-upstream" to "tags/for-upstream" or any other ref
>> that happens to point at the same commit as for-upstream you have.
>> The changes done for that purpose covered various cases a bit too
>> widely, and "request-pull ... tags/for_upstream" were incorrectly
>> stripped to a request to pull "for_upstream", which was fixed by
>> 5aae66bd (request-pull: resurrect "pretty refname" feature,
>> 2014-02-25).
>> 
>> But that fix does not resurrect the dwimming forbid by the earlier
>> parts of the series to turn "for_upstream" into "tags/for_upstream".
>> 
>> What would you get if you do this?
>> 
>>     $ git request-pull origin/master \
>>       git://git.kernel.org/pub/scm/virt/kvm/mst/qemu.git \
>>       tags/for_upstream | grep git.kernel.org
>
>
> I get
>  git://git.kernel.org/pub/scm/virt/kvm/mst/qemu.git tags/for_upstream

Thanks for double-checking.  Let's close this as working as
intended, then.

I personally feel that the "intention" tightened the logic a bit too
much [*1*], and with the updates mentioned in [*2*], existing users
may find it still too tight, but that is what we have today.

[References]

*1* http://thread.gmane.org/gmane.comp.version-control.git/240860
*2* http://thread.gmane.org/gmane.comp.version-control.git/240886